Subject: Re: [PATCH 0/6] Speed up mirror-fetches with many refs

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Aug 2021 17:09:46 -0700

Patrick Steinhardt <[email-masked]> writes:

> I've taken another look at fetches in the context of repos with a huge
> amount of refs. This time around, I've taken a look at mirror fetches:
> in our notorious repo with 2.3M refs, these mirror fetches can take up
> to several minutes of time even if there are no changes at all.

I notice that 4/6 (and no other patch) is not signed-off and wonder
if there is a reason (e.g. you are not so comfortable with the idea
behind the step or the implementation) or a simple oversight?

> Note that this series depends on ps/connectivity-optim and thus only
> applies on top of next.

It seems that the dependency of this series is not just 'master'
plus 'ps/connectivity-optim' but some more stuff from 'next'.  I
expact that topics that have been cooking in 'next' during the
previous cycle will graduate to 'master' early next week, so perhaps
it is easier to handle this kind of "depends on some stuff in
'next'" topics after that happens.

Thanks.